_clean_updated_sg_member_conntrack_entries() is throwing an AttributeError occasionally

Bug #1488284 reported by Brian Haley on 2015-08-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
neutron
High
Brian Haley

Bug Description

The IP conntrack manager code that recently merged in https://review.openstack.org/#/c/147713/ is sometimes throwing an AttributeError, see:

http://logs.openstack.org/91/215791/2/check/gate-tempest-dsvm-neutron-dvr/4e71df4/logs/screen-q-agt.txt.gz?level=WARNING#_2015-08-24_20_19_11_591

This is due to some bad logic in an if statement:

    if not (device_info or pre_device_info):
            continue

That is meant to catch the case where either variable is False, but it can't the way it's written, it should be:

    if not device_info or not pre_device_info:
        continue

Change Id was Ibfd2d6a11aa970ea9e5009f4c4b858544d8b7463

Changed in neutron:
assignee: nobody → Brian Haley (brian-haley)

Fix proposed to branch: master
Review: https://review.openstack.org/216717

Changed in neutron:
status: New → In Progress
Kyle Mestery (mestery) on 2015-08-25
Changed in neutron:
importance: Undecided → High

Reviewed: https://review.openstack.org/216717
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=b939672d6bc84e7fb9c27857ee5e641f7c18aeb1
Submitter: Jenkins
Branch: master

commit b939672d6bc84e7fb9c27857ee5e641f7c18aeb1
Author: Brian Haley <email address hidden>
Date: Tue Aug 25 09:42:12 2015 -0400

    Fix AttributeError in _clean_updated_sg_member_conntrack_entries()

    The conntrack work that recently merged introduced a bug
    due to an incorrect 'if' statement, it was only detecting
    when one variable was not set instead of both, which can
    cause an exception. This is currently causing jenkins failures
    with a number of other changes.

    Introduced in Change Id Ibfd2d6a11aa970ea9e5009f4c4b858544d8b7463

    Change-Id: I2519fdceefc9255c21d8226cdeffec40a7d444f6
    Closes-bug: #1488284

Changed in neutron:
status: In Progress → Fix Committed
Download full text (155.6 KiB)

Reviewed: https://review.openstack.org/218710
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=2c5f44e1b3bd4ed8a0b7232fd293b576cc8c1c87
Submitter: Jenkins
Branch: feature/pecan

commit f35d1c5c50dccbef1a2e079f967b82f0df0e22e9
Author: Adelina Tuvenie <email address hidden>
Date: Thu Aug 27 02:27:28 2015 -0700

    Fixes wrong neutron Hyper-V Agent name in constants

    Change Id03fb147e11541be309c1cd22ce27e70fadc28b5 moved the
    AGENT_TYPE_HYPERV constant from common.constants to
    plugins.ml2.drivers.hyperv.constants but change the value of the
    constant from 'HyperV agent' to 'hyperv'. This patch changes
    the name back to 'HyperV agent'

    Change-Id: If74b4b2a84811e266c8b12e70bf6bfe74ed4ea21
    Partial-Bug: #1487598

commit de604de334854e2eb6b4312ff57920564cbd4459
Author: OpenStack Proposal Bot <email address hidden>
Date: Sun Aug 30 01:39:06 2015 +0000

    Updated from global requirements

    Change-Id: Ie52aa3b59784722806726e4046bd07f4a4d97328

commit f0415ac20eaf5ab4abb9bd4839bf6d04ceee85d0
Author: armando-migliaccio <email address hidden>
Date: Fri Aug 28 13:53:04 2015 -0700

    Revert "Add support for unaddressed port"

    This implementation may expose a vulnerability where a malicious
    user can sieze the opportunity of a time window where a port
    may land unaddressed on a shared network, thus allowing him/her
    to suck up all the tenant traffic he/she wants....oh the shivers.

    This reverts commit d4c52b7f5a36a103a92bf9dcda7f371959112292.

    Change-Id: I7ebdaa8d3defa80eab90e460fde541a5bdd8864c

commit 013fdcd2a6d45dbe4de5d6e7077e5e9b60985ef9
Author: Assaf Muller <email address hidden>
Date: Fri Aug 28 16:41:07 2015 -0400

    Improve logging upon failure in iptables functional tests

    This will help us nail down a more accurate and efficient logstash
    query.

    Change-Id: Iee4238e358f7b056e373c7be8d6aa3202117a680
    Related-Bug: #1478847

commit 622dea818d851224a43d5276a81d5ce8a6eebb76
Author: Ivar Lazzaro <email address hidden>
Date: Mon Aug 17 17:17:42 2015 -0700

    handle gw_info outside of the db transaction on router creation

    Move the gateway interface creation outside the DB transaction
    to avoid lock timeout.

    Change-Id: I5a78d7f32e8ca912016978105221d5f34618af19
    Closes-bug: 1485809

commit 5b27d290a0a95f6247fc5a0fe6da1e7d905e6b2d
Author: Assaf Muller <email address hidden>
Date: Wed Aug 26 10:07:03 2015 -0400

    Remove ml2 resource extension success logging

    This is the cause of a tremendous amount of logs, for no
    perceivable gain. A normal dvr run in the gate shows this debug
    message around 120K times, which is way too much.

    Closes-Bug: #1489952

    Change-Id: I26fca8515d866a7cc1638d07fa33bc04479ae221

commit 8d3faf549cba2f58c872ef4121b2481e73464010
Author: huangpengtao <email address hidden>
Date: Fri Aug 28 23:20:46 2015 +0800

    Replace "prt" variable by "port"

    the local variable prt is meaningless,
    and port is used popular.

    Change-Id: I20849102cf5b4d84433c46791b4b1e2a22dc4739

commit ee374e7a5f4dea538fcd942f5...

tags: added: in-feature-pecan
Thierry Carrez (ttx) on 2015-09-03
Changed in neutron:
milestone: none → liberty-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2015-10-15
Changed in neutron:
milestone: liberty-3 → 7.0.0
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers